# vmware_vcenter_statistics – Configures statistics on a vCenter server

New in version 2.8.

- Synopsis
- Requirements
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- This module can be used to configure the vCenter server statistics.
- The remaining settings can be configured with the module `vmware_vcenter_settings`.

## Requirements

The below requirements are needed on the host that executes this module.

- python >= 2.6
- PyVmomi

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
hostname string |  | The hostname or IP address of the vSphere vCenter or ESXi server. If the value is not specified in the task, the value of environment variable `VMWARE_HOST` will be used instead. Environment variable support added in Ansible 2.6.

interval_past_day
dictionary

Settings for vCenter server past day statistic collection.
Valid attributes are:
- `enabled` (bool): Past day statistics collection enabled. (default: True)
- `interval_minutes` (int): Interval duration (minutes). (choices: [1, 2, 3, 4, 5]) (default: 5)
- `save_for_days` (int): Save for (days). (choices: [1, 2, 3, 4, 5]) (default: 1)
- `level` (int): Statistics level. (choices: [1, 2, 3, 4]) (default: 1)

interval_past_month
dictionary

Settings for vCenter server past month statistic collection.
Valid attributes are:
- `enabled` (bool): Past month statistics collection enabled. (default: True)
- `interval_hours` (int): Interval duration (hours). (choices: [2]) (default: 2)
- `save_for_months` (int): Save for (months). (choices: [1]) (default: 1)
- `level` (int): Statistics level. (choices: [1, 2, 3, 4]) (default: 1)

interval_past_week
dictionary

Settings for vCenter server past week statistic collection.
Valid attributes are:
- `enabled` (bool): Past week statistics collection enabled. (default: True)
- `interval_minutes` (int): Interval duration (minutes). (choices: [30]) (default: 30)
- `save_for_weeks` (int): Save for (weeks). (choices: [1]) (default: 1)
- `level` (int): Statistics level. (choices: [1, 2, 3, 4]) (default: 1)

interval_past_year
dictionary

Settings for vCenter server past month statistic collection.
Valid attributes are:
- `enabled` (bool): Past month statistics collection enabled. (default: True)
- `interval_days` (int): Interval duration (days). (choices: [1]) (default: 1)
- `save_for_years` (int): Save for (years). (choices: [1, 2, 3, 4, 5]) (default: 1)
- `level` (int): Statistics level. (choices: [1, 2, 3, 4]) (default: 1)

password string |  | The password of the vSphere vCenter or ESXi server. If the value is not specified in the task, the value of environment variable `VMWARE_PASSWORD` will be used instead. Environment variable support added in Ansible 2.6. aliases: pass, pwd
port integer added in 2.5 | Default: 443 | The port number of the vSphere vCenter or ESXi server. If the value is not specified in the task, the value of environment variable `VMWARE_PORT` will be used instead. Environment variable support added in Ansible 2.6.
proxy_host string added in 2.9 |  | Address of a proxy that will receive all HTTPS requests and relay them. The format is a hostname or a IP. If the value is not specified in the task, the value of environment variable `VMWARE_PROXY_HOST` will be used instead. This feature depends on a version of pyvmomi greater than v6.7.1.2018.12
proxy_port integer added in 2.9 |  | Port of the HTTP proxy that will receive all HTTPS requests and relay them. If the value is not specified in the task, the value of environment variable `VMWARE_PROXY_PORT` will be used instead.
username string |  | The username of the vSphere vCenter or ESXi server. If the value is not specified in the task, the value of environment variable `VMWARE_USER` will be used instead. Environment variable support added in Ansible 2.6. aliases: admin, user

validate_certs
boolean

Choices:
- no
- yes ←

Allows connection when SSL certificates are not valid. Set to `false` when certificates are not trusted.
If the value is not specified in the task, the value of environment variable `VMWARE_VALIDATE_CERTS` will be used instead.
Environment variable support added in Ansible 2.6.
If set to `yes`, please make sure Python >= 2.7.9 is installed on the given machine.

## Notes

Note

- Tested with vCenter Server Appliance (vCSA) 6.5 and 6.7

## Examples

    - name: Configure vCenter statistics
      vmware_vcenter_statistics:
        hostname: '{{ vcenter_hostname }}'
        username: '{{ vcenter_username }}'
        password: '{{ vcenter_password }}'
        interval_past_day:
          enabled: true
          interval_minutes: 5
          save_for_days: 1
          level: 1
        interval_past_week:
          enabled: true
          level: 1
        interval_past_month:
          enabled: true
          level: 1
        interval_past_year:
          enabled: true
          save_for_years: 1
          level: 1
        validate_certs: no
      delegate_to: localhost

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---

results
dictionary

always

metadata about vCenter statistics settings
Sample:
{'changed': False, 'msg': 'vCenter statistics already configured properly', 'past_day_enabled': True, 'past_day_interval': 5, 'past_day_level': 1, 'past_day_save_for': 1, 'past_month_enabled': True, 'past_month_interval': 2, 'past_month_level': 1, 'past_month_save_for': 1, 'past_week_enabled': True, 'past_week_interval': 30, 'past_week_level': 1, 'past_week_save_for': 1, 'past_year_enabled': True, 'past_year_interval': 1, 'past_year_level': 1, 'past_year_save_for': 1}

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Christian Kotte (@ckotte)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.